Matheo:
To make a long story short, it is a high ranking spirit with strong powers. According to documentary records, the religion of the ancient Elves had more shamanistic elements than other Elven races, including performing sacrificial rites to the spirit kings and building megalithic structures for spell purposes.
The other scholars don't agree with my opinions yet, but I mean to do a lot of research and publish a journal. Then they'll begin to agree with me.
Return